---
############################################################
# networking
############################################################

nm: 255.255.255.0
gw: 10.5.124.254
dns: 10.5.126.21
eth0_ip: 10.5.124.232


############################################################
# install
############################################################

ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-22-taskotron-master
ks_repo: http://10.5.126.23/pub/fedora/linux/releases/22/Server/x86_64/os/
volgroup: /dev/vg_guests
vmhost: virthost-comm04.qa.fedoraproject.org
datacenter: phx2
fas_client_groups: sysadmin-qa,sysadmin-main


############################################################
# virtual machine
############################################################

lvm_size: 45000
mem_size: 4096
num_cpus: 4

nrpe_procs_warn: 250
nrpe_procs_crit: 300

virt_install_command: /usr/bin/virt-install -n {{ inventory_hostname }} -r {{ mem_size }}
                 --disk bus=virtio,path={{ volgroup }}/{{ inventory_hostname }}
                 --vcpus={{ num_cpus }}  -l {{ ks_repo }} -x
                 "ks={{ ks_url }} ip={{ eth0_ip }} netmask={{ nm }}
                  gateway={{ gw }} dns={{ dns }} console=tty0 console=ttyS0
                  hostname={{ inventory_hostname }}"
                 --network=bridge=br0 --autostart --noautoconsole


############################################################
# taskotron master
############################################################

public_hostname: taskotron.stg.fedoraproject.org
buildmaster: 10.5.124.232

buildslaves:
    - taskotron-client11
    - taskotron-client12
    - taskotron-client13
    - taskotron-client14
    - taskotron-client19
    - taskotron-client20
    - taskotron-client21
i386_buildslaves:
    - taskotron-client12
    - taskotron-client19
x86_64_buildslaves:
    - taskotron-client11
    - taskotron-client13
    - taskotron-client14
    - taskotron-client20
    - taskotron-client21
